Subject: Re: [PATCH v3 03/10] trailer: unify trailer formatting machinery

From: Junio C Hamano <[email-masked]>
Date: Thu, 01 Feb 2024 11:21:05 -0800

Linus Arver <[email-masked]> writes:

> I am planning to spend today trying to break up this patch into smaller
> preparatory chunks that still end up at the same state as this patch.
>
> Will post another update on how this goes by EOD. Thanks.

I stopped reading the function after noticing the double unfolding,
so there may be similar "why do we do this unexplained new thing in
the function that the original didn't?" issues in the "same state",

In any case, if I understood your plan I heard from you in the
discussion yesterday correctly, the unfolding should not be added to
format (to make it double), but would be moved from parse to format
in a single step.  It would avoid making it double, and would make
the parse step about purely parsing without modification, which is a
very worthwhile thing to do.  So I am not sure if we want to end up
with the same state in the first place, though.

THanks.